﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SLUGUK.ViewModel;
using System.Windows.Threading;

namespace SLUGUK
{
  public class DispatcherInvoker : IMarshalInvoke
  {
    private Dispatcher _dispatcher;

    public DispatcherInvoker(Dispatcher dispatcher)
    {
      _dispatcher = dispatcher;
    }

    public void Invoke(Action action)
    {
      _dispatcher.BeginInvoke(action);
    }
  }
}
